import type { Callback, CallbackFn, CallbackId, CallbackStore } from './types';
/**
 * @ignore
 */
export declare class Callbacks {
    private readonly store;
    constructor(store: CallbackStore);
    getFrom(key: string): Callback[];
    addTo(key: string, callbackFn: CallbackFn): CallbackId;
    removeByCallbackFunctionFrom(key: string, callbackFn: CallbackFn): void;
    removeByCallbackIdFrom(key: string, callbackId?: CallbackId): void;
    executeFor(key: string, payload: any): void;
}
//# sourceMappingURL=callbacks.d.ts.map